Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 249 - xdr_ypall is missing from libnsl.so
Summary: xdr_ypall is missing from libnsl.so
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-01 14:38 UTC by lionel.cons
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-09 02:36:31 UTC


Attachments (Terms of Use)

Description lionel.cons 1998-12-01 14:38:52 UTC
While compiling a small program playing with NIS, I got:

$ cc -O -o ypc ypc.o -lrpcsvc -lnsl
ypc.o: In function `get_all':
ypc.o(.text+0x204): undefined reference to `xdr_ypall'

And indeed I didn't find xdr_ypall in libnsl.so or in any
other library. OTOH, this function is defined in an include
file:

$ grep xdr_ypall /usr/include/rpcsvc/yp_prot.h
extern bool_t xdr_ypall __P ((XDR *__xdrs, struct
ypall_callback * __objp));

(I see the same problem on Red Hat 5.1 BTW)

Comment 1 Preston Brown 1999-03-18 16:10:59 UTC
Cristian, this still appears to be the case.  Should we remove the
function prototype, or implement the function?

Comment 2 Cristian Gafton 1999-03-18 19:55:59 UTC
I think we will have to remove the function, as Unix98 fails to define
it...

Comment 3 Jay Turner 1999-06-29 17:16:59 UTC
Christian, is this taken care of . . . i.e. can I close this bug?

Comment 4 Cristian Gafton 1999-07-09 02:36:59 UTC
implemented in glibc-2.1.2-1. A new package will hit rawhide shortly


Note You need to log in before you can comment on or make changes to this bug.